Debian Bug report logs - #400829
live-package should "suggest" apt-cacher or similar

version graph

Package: live-package; Maintainer for live-package is (unknown);

Reported by: csights <csights@fastmail.fm>

Date: Wed, 29 Nov 2006 00:33:10 UTC

Severity: wishlist

Found in version live-package/0.99.14-1

Done: daniel@debian.org

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-devel@lists.alioth.debian.org>:
Bug#400829; Package live-package. Full text and rfc822 format available.

Acknowledgement sent to csights <csights@fastmail.fm>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: csights <csights@fastmail.fm>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-package should "suggest" apt-cacher or similar
Date: Tue, 28 Nov 2006 18:34:22 -0500
Package: live-package
Version: 0.99.14-1
Severity: wishlist


Hello,
	Thanks for the nice iso auto build script!  I stumbled across it while 
looking for a way to customize liveCDs.  Sweet!
	Anyway, I think "Suggesting" apt-cacher along with some commented out
configuration in /etc/make-live.conf would be a slick way to inform the user
of a nice way to make repeatedly rebuilding the .iso much faster.

Thanks again!
C.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (50, 'unstable'), (25, 'edgy')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages live-package depends on:
ii  cdebootstrap                0.3.15       Bootstrap a Debian system
ii  genext2fs                   1.4-rc1-2.1  ext2 filesystem generator for embe
ii  mkisofs                     5:1.0~pre5-1 Creates ISO-9660 CD-ROM filesystem
ii  squashfs-tools              1:2.2r2-3    Tool to create and append to squas

live-package recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-devel@lists.alioth.debian.org>:
Bug#400829; Package live-package. Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 400829@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 400829@bugs.debian.org
Cc: csights <csights@fastmail.fm>
Subject: Re: Bug#400829: live-package should "suggest" apt-cacher or similar
Date: Wed, 29 Nov 2006 09:20:30 -0400
On Tue, 28 Nov 2006 18:34:22 -0500
csights <csights@fastmail.fm> wrote:
> Hello,
> 	Thanks for the nice iso auto build script!  I stumbled across it while 
> looking for a way to customize liveCDs.  Sweet!
> 	Anyway, I think "Suggesting" apt-cacher along with some commented out
> configuration in /etc/make-live.conf would be a slick way to inform the user
> of a nice way to make repeatedly rebuilding the .iso much faster.

I don't see any particular reason to suggest apt-cacher over, for example, approx which appears to me to be in better health than apt-cacher, which was recently removed from testing and re-added again a few days later, which has 34 outstanding bugs against it, 4 of which are 'important' and range from 98 to 263 days old, and which has not had a new upstream release since May.  Approx, by comparison, is actively being developed upstream and has just 3 active bugs (though admittedly these numbers are probably skewed by apt-cacher being the older and better known of the two packages, and is not necessarily indicative of package quality.)

Anyway, the point is, how do you decide which package to "suggest" if several might provide the same functionality, each with its own distinct advantages and disadvantages?  Perhaps all of the alternatives should provide a virtual package, e.g. Provides: apt-package-proxy?

Ben
--
 ,-.  nSLUG    http://www.nslug.ns.ca   synrg@sanctuary.nslug.ns.ca
 \`'  Debian   http://www.debian.org    synrg@debian.org
  `          [ gpg 395C F3A4 35D3 D247 1387 2D9E 5A94 F3CA 0B27 13C8 ]
             [ pgp 7F DA 09 4B BA 2C 0D E0 1B B1 31 ED C6 A9 39 4F ]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-devel@lists.alioth.debian.org>:
Bug#400829; Package live-package. Full text and rfc822 format available.

Acknowledgement sent to CSights <csights@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 400829@bugs.debian.org (full text, mbox):

From: CSights <csights@fastmail.fm>
To: "Undisclosed.Recipients": ;
Cc: 400829@bugs.debian.org
Subject: Re: Bug#400829: live-package should "suggest" apt-cacher or similar
Date: Wed, 29 Nov 2006 09:24:23 -0500
> Anyway, the point is, how do you decide which package to "suggest" if
> several might provide the same functionality, each with its own distinct
> advantages and disadvantages?  Perhaps all of the alternatives should
> provide a virtual package, e.g. Provides: apt-package-proxy?

	A virtual package might be the best solution.  Someone/committee still has to 
decide the order of package preference in the virtual package.
	In the meantime, just "Suggest" a package that caches package downloads.  
apt-cacher works just fine for me. If there are other programs (e.g approx) 
that work and have a more certain future, go with them.  :)

C.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-devel@lists.alioth.debian.org>:
Bug#400829; Package live-package. Full text and rfc822 format available.

Acknowledgement sent to Daniel Baumann <daniel@unable-to-package.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 400829@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@unable-to-package.org>
To: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>, 400829@bugs.debian.org, 400829-submitter@bugs.debian.org
Subject: Re: Bug#400829: live-package should "suggest" apt-cacher or similar
Date: Wed, 29 Nov 2006 18:37:35 +0100
Ben Armstrong wrote:
> I don't see any particular reason to suggest apt-cacher over, for example, approx which appears to me to be in better health than apt-cacher, which was recently removed from testing and re-added again a few days later, which has 34 outstanding bugs against it, 4 of which are 'important' and range from 98 to 263 days old, and which has not had a new upstream release since May.  Approx, by comparison, is actively being developed upstream and has just 3 active bugs (though admittedly these numbers are probably skewed by apt-cacher being the older and better known of the two packages, and is not necessarily indicative of package quality.)

ack.

> Anyway, the point is, how do you decide which package to "suggest" if several might provide the same functionality, each with its own distinct advantages and disadvantages?  Perhaps all of the alternatives should provide a virtual package, e.g. Provides: apt-package-proxy?

ack.

i think, this should not be handled with suggests, but with
documentation. i plan to do dummy-documentation soon, and include all
the different possibilities to safe bandwith.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Message sent on to csights <csights@fastmail.fm>:
Bug#400829. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-devel@lists.alioth.debian.org>:
Bug#400829; Package live-package. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #28 received at 400829@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 400829@bugs.debian.org, control@bugs.debian.org
Subject: Re: live-package should "suggest" apt-cacher or similar
Date: Wed, 21 Mar 2007 19:56:33 +0100
tags 400829 +pending
thanks

Hi,

first of all, as said in my last message in this report, I don't want to
poison the suggests/recommends with a list of all these caching daemons.

Unrelated to that, live-helper does cache deb packages by default now
and re-uses them in a very simple way, therefore I'm marking this bug as
pending and will close it when live-helper has left NEW.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2007 19:33:13 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to csights <csights@fastmail.fm> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2007 21:03:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:47:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:06:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.